Package org.jbpm.process.audit

## Class QueryHelper

- java.lang.Object
- - org.jbpm.process.audit.QueryHelper

-     public class QueryHelper
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addCriteria​(String listId, String fieldName, Class<?> type)` |
    `static void` | `addVarValCriteria​(boolean addWhereClause, org.jbpm.query.jpa.impl.QueryAndParameterAppender queryAppender, String tableId, List<Object[]> varValCriteriaList)` |
    `static void` | `checkVarValCriteria​(org.jbpm.query.jpa.data.QueryWhere queryWhere, List<Object[]> varValCriteriaList)` |
    `static org.jbpm.query.jpa.impl.QueryAndParameterAppender` | `createQuery​(String queryBase, org.jbpm.query.jpa.data.QueryWhere queryWhere, Map<String,​Object> queryParams, int queryParamId)` |
    `static org.jbpm.query.jpa.impl.QueryAndParameterAppender` | `createQueryWithSubQuery​(String queryBase, org.jbpm.query.jpa.data.QueryWhere queryWhere, Map<String,​Object> queryParams, String subQuery)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addCriteria

          public static void addCriteria​(String listId,
                                         String fieldName,
                                         Class<?> type)

    - #### createQueryWithSubQuery

          public static org.jbpm.query.jpa.impl.QueryAndParameterAppender createQueryWithSubQuery​(String queryBase,
                                                                                                  org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                                                                                  Map<String,​Object> queryParams,
                                                                                                  String subQuery)

    - #### createQuery

          public static org.jbpm.query.jpa.impl.QueryAndParameterAppender createQuery​(String queryBase,
                                                                                      org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                                                                      Map<String,​Object> queryParams,
                                                                                      int queryParamId)

    - #### checkVarValCriteria

          public static void checkVarValCriteria​(org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                                 List<Object[]> varValCriteriaList)

    - #### addVarValCriteria

          public static void addVarValCriteria​(boolean addWhereClause,
                                               org.jbpm.query.jpa.impl.QueryAndParameterAppender queryAppender,
                                               String tableId,
                                               List<Object[]> varValCriteriaList)